<html lang="en">
<head>
<title>Introduction - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="index.html#Top" title="Top">
<link rel="next" href="Install.html#Install" title="Install">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Introduction"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Install.html#Install">Install</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="index.html#Top">Top</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">1 Introduction</h2>

<p><a name="index-CONCUR-1"></a><a name="index-DATATAG-2"></a><a name="index-LINK-3"></a><a name="index-RANK-4"></a><a name="index-SGML-Declaration-5"></a>
PSGML is a major mode for editing SGML and XML documents.  It works with
GNU Emacs 19.34, 20.3 and later or with XEmacs 19.9 and later.  PSGML
contains a simple SGML parser and can work with any DTD.  Functions
provided includes menus and commands for inserting tags with only the
contextually valid tags, identification of structural errors, editing of
attribute values in a separate window with information about types and
defaults, and structure based editing.

   <p>SGML, a language for encoding the structure of a document, is an ISO
standard: ISO 8879:1986 &ldquo;Information processing &ndash; Text and office
systems &ndash; Standard Generalized Markup Language (SGML)&rdquo;.

   <p>A good introduction to SGML is <cite>A Gentle Introduction to SGML</cite>
produced by Text Encoding Initiative (this is really chapter 2 of TEI
P3).  This can be found on

<pre class="display">     <samp><span class="file">ftp://ftp.ifi.uio.no/pub/SGML/TEI/P3SG.DOC</span></samp>.
</pre>
   <p>A SGML document has three major parts, in order:

     <ol type=1 start=1>
<li>SGML Declaration (`<samp><span class="samp">&lt;!SGML "ISO 8879:1986" ... &gt;</span></samp>')
<li>Document Type Declaration (`<samp><span class="samp">&lt;!DOCTYPE </span><var>name</var><span class="samp"> ... &gt;</span></samp>')
<li>Document Element (`<samp><span class="samp">&lt;</span><var>name</var><span class="samp">&gt; ... &lt;/</span><var>name</var><span class="samp">&gt;</span></samp>')
        </ol>

   <p>The SGML declaration contains general information about character sets,
concrete syntax, and SGML features used.  PSGML does not use the SGML
Declaration, it can be left out, and if included is ignored.  Many SGML
systems allow the SGML declaration to be defaulted.  PSGML always use
the Concrete Reference Syntax but without limitations on
lengths.  Features used has to be indicated with variables (see <a href="SGML-declaration.html#SGML-declaration">SGML declaration</a>).

   <p>The document type declaration specifies the valid elements and entities
and how they can be nested. A document type is usually needed, but can
reside in another file (see <a href="Managing-the-DTD.html#Managing-the-DTD">Managing the DTD</a>).

   <p>The system declaration for PSGML:
<pre class="example">     SYSTEM "ISO 8879:1986"
        CHARSET
          BASESET  "ISO 646-1983//CHARSET
                    International Reference Version (IRV)//ESC 2/5 4/0"
          DESCSET  0 128 0
          CAPACITY PUBLIC  "ISO 8879:1986//CAPACITY Reference//EN"
        FEATURES
          MINIMIZE DATATAG NO  OMITTAG  YES   RANK     NO  SHORTTAG YES
          LINK     SIMPLE  NO  IMPLICIT NO    EXPLICIT NO
          OTHER    CONCUR  NO  SUBDOC   YES 1 FORMAL   YES
          SCOPE    DOCUMENT
          SYNTAX   PUBLIC  "ISO 8879:1986//SYNTAX Reference//EN"
     <!-- SYNTAX   PUBLIC  "ISO 8879:1986//SYNTAX Core//EN" -->
          VALIDATE
                   GENERAL NO  MODEL    NO   EXCLUDE  NO  CAPACITY NO
                   NONSGML NO  SGML     NO   FORMAL   NO
          SDIF     PACK    NO  UNPACK   NO
</pre>
   <!--  -->
</body></html>

